Subject: Re: [PATCH 0/8] builtin/config: introduce subcommands

From: Taylor Blau <[email-masked]>
Date: Wed, 6 Mar 2024 18:46:33 -0500

On Wed, Mar 06, 2024 at 09:06:08AM -0800, Junio C Hamano wrote:
> Patrick Steinhardt <[email-masked]> writes:
>
> >   - `git config foo.bar` -> `git config get foo.bar`
> >
> >   - `git config foo.bar value` -> `git config set foo.bar value`
>
> I actually have been perfectly OK with the above two, but I agree
> that ...

Same here, though I think that we are probably both biased by many years
of familiarity with the existing syntax.

> >   - `git config foo.bar value value-pattern` -> `git config set-all
> >     foo.bar value value-pattern`
>
> ... this was less than discoverable, and would be a good update.
> This one ...

Agreed.

> >   - `git config --get-urlmatch` -> `git config get-urlmatch`.
>
> ... is a Meh to me, personally.  I'd not actively push it
> enthusiastically, but I'd passively accept its existence.

I don't have strong feelings about this, but I wonder if `--urlmatch`
(or `--url-match`) might be an argument to the "get" mode of this
sub-command instead. Something like `git config get --urlmatch` feels
much more natural to me than `git config get-urlmatch`.

Thanks,
Taylor